Subject: Re: [Fot] Floor jack

From: [email-masked]
Date: Mon, 28 Mar 2016 11:41:12 -0400

--===============4879521550334506239==
	boundary="----=_Part_41343_931012888.1459179672274"

------=_Part_41343_931012888.1459179672274
Content-Transfer-Encoding: 7bit

Scott...

While I subscribe to Dean's position as well, especially the willingness to allow for quality in the purchase decision.  An issue is will the jack you buy from Sears today be as good as the one Dean bought from Sears thirty years ago.  A fly in the ointment is poor Sears and many others like them have been cutting corners in an effort to compete with the 'looks good cheapo stuff' on the market.  Shirley and I have been buying Kenmore appliances from Sears since 1959.  That old stuff used to work with no problems whatsoever for decades.  Much of the new stuff comes with a six month guarantee.  The sales clerks are quick to add, "You should really consider buying a Owner's Warranty policy.  It's a good idea".  We're on a first name basis with our kitchen home appliance repair man.  We share a, "They don't build them like they used to...." philosophy.  Of course from his side of the table...that's not a bad thing.

Hopefully others who have purchased jacks more recently can chime in with their experience.

Bill Dentinger

-----Original Message-----
From: Dean Tetterton <[email-masked]>
To: Scott Janzen <[email-masked]>
Cc: 'Friends of Triumph' Triumph <[email-masked]>
Sent: Mon, Mar 28, 2016 10:08 am
Subject: Re: [Fot] Floor jack

Bought a Sears 1/2 ton floor jack over 30 years ago and still use it. Not light weight
but I don't carry it I roll it. Never been repaired and lets down as slow as you want to
and will stay up for days at the time. I have never bought cheap tools and have lots 
of old ones. My son will get to use them. 

Dean T.
You guys have fun in CA. 

On Mar 28, 2016, at 9:46 AM, Scott Janzen wrote:

> My Harbor Freight 3,000 lb jack just gave up after about ten years.  Before I buy another one, any other recommendations, or ones to stay away from?  I'm looking for light weight and a fair price - will pay something extra for quality if there's a good argument for it.
> 
> _______________________________________________
> [email-masked]
> 
> http://www.fot-racing.com
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]
> 
> 

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive

------=_Part_41343_931012888.1459179672274
Content-Transfer-Encoding: quoted-printable

<font color=3D'black' size=3D'2' face=3D'arial'>
<div>Scott...</div>

<div><br>
</div>

<div>While I subscribe to Dean's position as well, especially the willingne=
ss to allow for quality in the purchase decision.&nbsp; An issue is will th=
e jack you buy from Sears today be as good as the one Dean bought from Sear=
s thirty years ago.&nbsp; A fly in the ointment is poor Sears and many othe=
rs like them&nbsp;have been cutting corners in an effort to compete with th=
e 'looks good cheapo stuff' on the market.&nbsp; Shirley and I have been bu=
ying Kenmore appliances from Sears since 1959.&nbsp; That old stuff used to=
 work&nbsp;with no problems whatsoever&nbsp;for decades.&nbsp; Much of the&=
nbsp;new stuff comes with a six month guarantee.&nbsp; The&nbsp;sales clerk=
s are quick to add, "You should really consider buying a&nbsp;Owner's Warra=
nty policy.&nbsp; It's a good idea".&nbsp; We're on a first name basis with=
 our kitchen home appliance repair man.&nbsp; We share a, "They don't build=
 them like they used to...." philosophy.&nbsp; Of course from his side of t=
he table...that's not a bad thing.</div>

<div><br>
</div>

<div>Hopefully others who have purchased jacks more recently can chime in w=
ith their experience.</div>

<div><br>
</div>

<div>Bill Dentinger</div>

<div>&nbsp; <br>
<br>
</div>

<div style=3D"font-family:arial,helvetica;font-size:10pt;color:black">-----=
Original Message-----<br>
From: Dean Tetterton &lt;[email-masked]&gt;<br>
To: Scott Janzen &lt;[email-masked]&gt;<br>
Cc: 'Friends of Triumph' Triumph &lt;[email-masked]&gt;<br>
Sent: Mon, Mar 28, 2016 10:08 am<br>
Subject: Re: [Fot] Floor jack<br>
<br>
Bought a Sears 1/2 ton floor jack over 30 years ago and still use it. Not l=
ight weight<br>
but I don't carry it I roll it. Never been repaired and lets down as slow a=
s you want to<br>
and will stay up for days at the time. I have never bought cheap tools and =
have lots <br>
of old ones. My son will get to use them. <br>
<br>
Dean T.<br>
You guys have fun in CA. <br>
<br>
<br>
<br>
On Mar 28, 2016, at 9:46 AM, Scott Janzen wrote:<br>
<br>
&gt; My Harbor Freight 3,000 lb jack just gave up after about ten years.  B=
efore I buy another one, any other recommendations, or ones to stay away fr=
om?  I'm looking for light weight and a fair price - will pay something ext=
ra for quality if there's a good argument for it.<br>
&gt; <br>
&gt; _______________________________________________<br>
&gt; <a href=3D"mailto:[email-masked]">[email-masked]</a><br>
&gt; <br>
&gt; <a href=3D"http://www.fot-racing.com" target=3D"_blank">http://www.fot=
-racing.com</a><br>
&gt; <br>
&gt; Donate: <a href=3D"http://www.team.net/donate.html" target=3D"_blank">=
&gt; Archive: <a href=3D"http://www.team.net/archive" target=3D"_blank">htt=
p://www.team.net/archive</a><br>
&gt; Forums: <a href=3D"http://www.team.net/forums" target=3D"_blank">http:=
//www.team.net/forums</a><br>
&gt; Unsubscribe/Manage: <a href=3D"http://autox.team.net/mailman/options/f=
ot/[email-masked]" target=3D"_blank">http://autox.team.net/mailman/opti=
ons/fot/[email-masked]</a><br>
&gt; <br>
&gt; <br>
<br>
_______________________________________________<br>
<a href=3D"mailto:[email-masked]">[email-masked]</a><br>
<br>
<a href=3D"http://www.fot-racing.com" target=3D"_blank">http://www.fot-raci=
ng.com</a><br>
<br>
//www.team.net/donate.html</a><br>
Archive: <a href=3D"http://www.team.net/archive" target=3D"_blank">http://w=
ww.team.net/archive</a><br>
Forums: <a href=3D"http://www.team.net/forums" target=3D"_blank">http://www=
.team.net/forums</a><br>
[email-masked]" target=3D"_blank">http://autox.team.net/mailman/options/f=
ot/[email-masked]</a><br>
<br>
<br>
</div>
</font>
------=_Part_41343_931012888.1459179672274--

--===============4879521550334506239==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive

--===============4879521550334506239==--